Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.lyo.core.query
Enum ComparisonTerm.Operator

    java.lang.Object
      java.lang.Enum<ComparisonTerm.Operator>
          org.eclipse.lyo.core.query.ComparisonTerm.Operator

All Implemented Interfaces:
  Serializable, Comparable<ComparisonTerm.Operator>

Enclosing interface:
  ComparisonTerm

    public static enum ComparisonTerm.Operator

extends Enum<ComparisonTerm.Operator>

Enum Constant Summary
`EQUALS`
`GREATER_EQUALS`
`GREATER_THAN`
`LESS_EQUALS`
`LESS_THAN`
`NOT_EQUALS`

Method Summary
`String` | `toString()`
`static ComparisonTerm.Operator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ComparisonTerm.Operator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EQUALS

    public static final ComparisonTerm.Operator EQUALS

### NOT_EQUALS

    public static final ComparisonTerm.Operator NOT_EQUALS

### LESS_THAN

    public static final ComparisonTerm.Operator LESS_THAN

### GREATER_THAN

    public static final ComparisonTerm.Operator GREATER_THAN

### LESS_EQUALS

    public static final ComparisonTerm.Operator LESS_EQUALS

### GREATER_EQUALS

    public static final ComparisonTerm.Operator GREATER_EQUALS

Method Detail

### values

    public static ComparisonTerm.Operator[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ComparisonTerm.Operator c : ComparisonTerm.Operator.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ComparisonTerm.Operator valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<ComparisonTerm.Operator>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013. All Rights Reserved.